
function load_cow()
	cow = {
	hp = 100,
	acceleration = 5,
	sprite = love.graphics.newImage("sprites/Cow.png"),
	maxspeed = 30,
	y = 20,
	x = 20,
	yvel = 0,
	xvel= 0,
	cooldown = 0,
	rotation = 1,
	vector = 0,
	curspeed = 0
	}
end

function update_cow(dt)
	cow.x = cow.x + (cow.xvel * dt)
	cow.y = cow.y + (cow.yvel * dt)
	if love.keyboard.isDown("up") then
		cow.curspeed = cow.curspeed + (cow.acceleration * dt)
		if cow.curspeed > cow.maxspeed then
			cow.curspeed = cow.maxspeed
		end
	elseif love.keyboard.isDown("down") then
		cow.curspeed = cow.curspeed - (cow.acceleration * dt)
		if cow.curspeed < 0 then
			cow.curspeed = 0
		end
	end
	if cow.x > 1024 then
		cow.x = 0
	elseif cow.x < 0 then
		cow.x = 1024
	elseif cow.y > 768 then
		cow.y = 0
	elseif cow.y < 0 then
		cow.y = 768
	end
end

function controll_cow(dt)
	if love.keyboard.isDown("left") then
		cow.rotation = cow.rotation - (4 * dt)
	elseif love.keyboard.isDown("right") then
	cow.rotation = cow.rotation + (4 * dt)
	end
	cow.x,cow.y=circunferenceOffset(cow.x,cow.y,cow.curspeed,cow.rotation) -- Not done yet
end		

function draw_cow()
	love.graphics.draw(cow.sprite, cow.x, cow.y, cow.rotation, 1, 1, 16, 16)
	love.graphics.print(cow.rotation, 500, 500)
	love.graphics.print(cow.curspeed, 500, 480)
end

function circunferenceOffset(a,b,r,t)
	return a+r*math.cos(t),b+r*math.sin(t)
end